Bug 989275 - Cannot change system's base channel via Web UI
Cannot change system's base channel via Web UI
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.9
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space21
  Show dependency treegraph
 
Reported: 2013-07-28 21:24 EDT by Do Hakyong
Modified: 2014-03-04 08:09 EST (History)
0 users

See Also:
Fixed In Version: spacewalk-java-2.1.28-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
catalina.out and email_from_spacewalk.txt (14.18 KB, application/zip)
2013-07-28 21:24 EDT, Do Hakyong
no flags Details

  None (edit)
Description Do Hakyong 2013-07-28 21:24:28 EDT
Created attachment 779478 [details]
catalina.out and email_from_spacewalk.txt

Description of problem:
System's default channel cannot change via Web UI. below error message is showed when I attempt to change channel.
"Internal Server Error"
I've also attached log log of catalina.out and after I failed to change the channel, spacewalk was sent email. I also attached that email from spacewalk. please see attachment.


Version-Release number of selected component (if applicable):
spacewalk-1.9(installed on scientific linux 6.4 x86_64)

How reproducible:


Steps to Reproduce:
1. register a system via rhnreg_ks directive
2. yum clean all
3. after confirm the system is registered properly, then attempt to change base channel to another channel, the error is occurred. 

Actual results:

Expected results:
If update to spacewalk 2.0 this problem would be solved?


Additional info:
Comment 1 Tomas Lestach 2013-07-30 03:22:33 EDT
Note for me:

ERROR org.apache.struts.actions.LookupDispatchAction - Action[/systems/details/SystemChannels] missing resource in key method map '기본 소프트웨어 채널 수정'
in the logs.
Comment 2 Do Hakyong 2013-07-30 03:39:45 EDT
(In reply to Tomas Lestach from comment #1)
> Note for me:
> 
> ERROR org.apache.struts.actions.LookupDispatchAction -
> Action[/systems/details/SystemChannels] missing resource in key method map
> '기본 소프트웨어 채널 수정'
> in the logs.

'기본 소프트웨어 채널 수정' means that 'Modify Base Software Channel'
Thanks :)
Comment 3 Tomas Lestach 2013-08-23 11:22:22 EDT
What a bug! :-)

spacewalk.git: a5e2f272cf843212bc8f3def0aa66da343f2a4e8
Comment 4 Matej Kollar 2014-01-17 07:16:29 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 5 Matej Kollar 2014-03-04 08:08:44 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21
Comment 6 Matej Kollar 2014-03-04 08:09:11 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21

Note You need to log in before you can comment on or make changes to this bug.